diff --git a/jboss/configure-standalone.sh b/jboss/configure-standalone.sh
index 838fb042207cc2f9ec9bf7517411500b4453bc4b..759c5cb13cf6d942c65055a98bc3c0b7c21eb8fc 100755
--- a/jboss/configure-standalone.sh
+++ b/jboss/configure-standalone.sh
@@ -109,49 +109,42 @@ fi
cp standalone/standalone.xml /etc/kszkipo/as7/standalone/
cp standalone/standalone.conf /opt/kszkipo/as7/bin/
+sed -i "s///g" /etc/kszkipo/as7/standalone/standalone.xml
+
# Install thirdparty modules
cp -rf modules/* ${JBOSS_HOME}/modules/system/layers/base/
chown as7 ${JBOSS_HOME} -R
# Turn on standalone mode for as7
-chkconfig as7-standalone on
-chkconfig as7-domain off
service as7-domain stop
+chkconfig as7-standalone on
service as7-standalone restart
-align_left "$DOTSTRING" "Remove http socket"
-result=`jboss-cli.sh --connect --commands="batch,
-/socket-binding-group=standard-sockets/socket-binding=http:remove(),
-:reload,
-run-batch"` &>/dev/null
-align_echo $? $result
-
-align_left "$DOTSTRING" "Configure http socket and port-offset"
+align_left "$DOTSTRING" "Configure port-offset"
result=`jboss-cli.sh --connect --commands="batch,
-/socket-binding-group=standard-sockets/socket-binding=http:add(port=7930),
/socket-binding-group=standard-sockets:write-attribute(name=port-offset, value=150),
run-batch"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
# Set max post size request
align_left "$DOTSTRING" "Configure max-post-size"
result=`jboss-cli.sh --connect --commands="/subsystem=web/connector=http:write-attribute(name=max-post-size,value=0)"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
# Set transcations tumeout
align_left "$DOTSTRING" "Configure default-timeout"
result=`jboss-cli.sh --connect --commands="/subsystem=transactions:write-attribute(name=default-timeout,value=300000)"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
# Add PostgreSQL JDBC driver
align_left "$DOTSTRING" "Add PostgreSQL JDBC Driver"
result=`jboss-cli.sh --connect --commands="/subsystem=datasources/jdbc-driver=postgresql:add(driver-name=postgresql, driver-module-name=org.postgresql, driver-xa-datasource-class-name=org.postgresql.xa.PGXADataSource)"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
# Remove ExampleDS datasource
align_left "$DOTSTRING" "Remove ExampleDS datasource"
result=`jboss-cli.sh --connect --commands="/subsystem=datasources/data-source=ExampleDS:remove()"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
# Configure interfaces
align_left "$DOTSTRING" "Configure interfaces"
@@ -160,13 +153,13 @@ result=`jboss-cli.sh --connect --commands="batch,
/interface=public:write-attribute(name=inet-address, value=0.0.0.0),
/interface=unsecure:write-attribute(name=inet-address, value=0.0.0.0),
run-batch"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
align_left "$DOTSTRING" "Configure socket-binding group"
result=`jboss-cli.sh --connect --commands="batch,
/socket-binding-group=standard-sockets:write-attribute(name=port-offset, value=150),
run-batch"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
echo "Begin configure encrypted password's"
for ((i = 0; i < ${#DS_POOL_NAMES[@]}; i++)); do
@@ -180,7 +173,7 @@ for ((i = 0; i < ${#DS_POOL_NAMES[@]}; i++)); do
/subsystem=security/security-domain=encrypted_pass_$i/authentication=classic:add(),
/subsystem=security/security-domain=encrypted_pass_$i/authentication=classic/login-module=postgres_login_module:add(code=SecureIdentity, flag=required,module-options=[username="${DS_USERS[$i]}", password="$encrypted"]),
run-batch"` &>/dev/null
- align_echo $? $result
+ align_echo $? "$result"
done
echo "Begin configure DataSource's"
@@ -209,7 +202,7 @@ for ((i = 0; i < ${#DS_POOL_NAMES[@]}; i++)); do
background-validation=true
),
run-batch"` &>/dev/null
- align_echo $? $result
+ align_echo $? "$result"
done
# Set properties for load-demo application, use for debug
@@ -224,7 +217,7 @@ result=`jboss-cli.sh --connect --commands="batch,
/system-property=org.otd414.security.dont_create_views:add(value=false),
/system-property=org.otd414.servername:add(value=jboss.7.2),
run-batch"` &>/dev/null
-align_echo $? $result
+align_echo $? "$result"
java_opts="JAVA_OPTS="\""\$JAVA_OPTS -XX:+UseParallelGC -Dsun.rmi.dgc.client.gcInterval=1800000 -Dsun.rmi.dgc.server.gcInterval=1800000 -XX:ParallelGCThreads=8 -Dorg.geotools.coverage.jaiext.enabled=true -Djava.library.path=/usr/local/GISCore/lib/:/usr/lib/jni/"\"""
echo $java_opts >> /opt/kszkipo/as7/bin/standalone.conf